 package com.javaseleniumtemplate.tests;

 import com.javaseleniumtemplate.bases.TestBase;
 import com.javaseleniumtemplate.flows.CadastroPratoFlows;
 import com.javaseleniumtemplate.flows.LoginFlows;
 import com.javaseleniumtemplate.pages.CadastroPratoPage;
 import org.testng.Assert;
 import org.testng.annotations.Test;
 import sun.audio.ContinuousAudioDataStream;
 import sun.awt.AWTAccessor;

 public class CadastroPratoTests extends TestBase {

     CadastroPratoPage cadastroPratoPage;
     CadastroPratoFlows cadastroPratoFlows;
     LoginFlows loginFlows;

     @Test
     public void cadastraPrato() {
      cadastroPratoFlows = new CadastroPratoFlows();
      loginFlows = new LoginFlows();
      cadastroPratoPage = new CadastroPratoPage();

      String msgEsperada = "Prato";

      String unidade = "9999";

      String arvorePrato = "FEIJÃO";
      String nome = "FEIJÃO TROPEIRO";
      String unidadeMedida = "QUILOGRAMA";
      String NMFANTASIA = "SALADA";

      String CDPRODUTO = "101110100100";
      String QTBRUTAPRUNR = "2";
      String VRPEFATCOCPR = "2";
      String VRPEFATCOCPRAP = "2";
      String VRPEFATCORPR = "2";
      String VRPEFATCORPRAP = "3";
      String VRPERCDEGELO = "1";
      String QTCOMPLPRODPADR = "2";
      String HRTEMPPREPPR = "10";
      String QTLIMSEGPADR = "2";


      String CDPRODUTO2 = "101110100200";
      String QTBRUTAPRUNR2 = "1";

      String CDPRODUTO3 = "711110100200";
      String QTBRUTAPRUNR3 = "2";

      String PROPRODUCAO = "806110107700";
      String VALCONSUMO = "12000";


      loginFlows.efetuarLogin();
      cadastroPratoFlows.acessaTelaPrato();

      Assert.assertTrue(cadastroPratoPage.confirmaTela().contains(msgEsperada));
      //cadastroPratoFlows.filtraUnidade(unidade);
      cadastroPratoFlows.arvorePrato(arvorePrato);

      cadastroPratoFlows.dadosDoPrato(nome, unidadeMedida);
      cadastroPratoFlows.addReceitaPadrao(CDPRODUTO,QTBRUTAPRUNR,VRPEFATCOCPR,VRPEFATCOCPRAP,VRPEFATCORPR,VRPEFATCORPRAP,
              VRPERCDEGELO,QTCOMPLPRODPADR,HRTEMPPREPPR,QTLIMSEGPADR);

      cadastroPratoFlows.receitaPadraoProdutos(CDPRODUTO2, QTBRUTAPRUNR2);
      cadastroPratoFlows.receitaPadraoProdutos(CDPRODUTO3, QTBRUTAPRUNR3);
      cadastroPratoFlows.dadosReceita(PROPRODUCAO,NMFANTASIA, VALCONSUMO);


    /*  // Receita Local

      String NMPRODUTO = "101110100100";
      String QTBRUTAPROD = "0,5";
      String VRPEFATCOCLO = "1";
      String VRPEFATCOCLOAP = "100";
      String VRPEFATCORLO = "";
      String VLRPERCDEGELO = "";
      String HRTEMPPREPLO = "0000";

      String NMPRODUTO1 = "101110100300";
      String QTBRUTAPROD1 = "0,6";
      String VRPEFATCOCLO1 = "1";
      String VRPEFATCOCLOAP1 = "100";
      String VRPEFATCORLO1 = "";
      String VLRPERCDEGELO1 = "";
      String HRTEMPPREPLO1 = "0000";

      // Dados da receita Local
      String CDPRODPRODUCAO = "101420102000";
      String QTDDIASANTECIPACAO = "0";
      String NMFANTASIAL = "TESTE AUTOMAÇÃO";
      String DTVALCONSUMO = "02400";
      String QTDPESSOA = "1";
      String DSPRATO = "Prato de cadastro para automação de teste Tecfood.";


      cadastroPratoFlows.filtroPrato();
      cadastroPratoFlows.receitaLocal();

       cadastroPratoFlows.insereProduto(NMPRODUTO, QTBRUTAPROD, VRPEFATCOCLO, VRPEFATCOCLOAP, VRPEFATCORLO,
               VLRPERCDEGELO, HRTEMPPREPLO);

       cadastroPratoFlows.insereProduto(NMPRODUTO1, QTBRUTAPROD1, VRPEFATCOCLO1, VRPEFATCOCLOAP1, VRPEFATCORLO1,
              VLRPERCDEGELO1, HRTEMPPREPLO1);

      cadastroPratoFlows.dadosDaReceitaLocal(CDPRODPRODUCAO,QTDDIASANTECIPACAO, NMFANTASIAL, DTVALCONSUMO, QTDPESSOA, DSPRATO);
*/

     }
 }
