package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.CadastroTipoDePratoFlows;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.pages.CadastroTipoDePratoPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class CadastroTipoDePratoTests extends TestBase {
    CadastroTipoDePratoPage cadastroTipoDePratoPage;
    CadastroTipoDePratoFlows cadastroTipoDePratoFlows;
    LoginFlows loginFlows;


    @Test
    public void cadastroTipoDePrato(){
        cadastroTipoDePratoPage = new CadastroTipoDePratoPage();
        cadastroTipoDePratoFlows = new CadastroTipoDePratoFlows();
        loginFlows = new LoginFlows();

        String mensagemMainPage = "Tipo de Prato";
        String codigo = "50";
        String nome = "SALADA";
        String nomeReduzido = "";
        String nmGrupo = "Salada";
        String novoNome = "PRATO FRIO";
        String novoGrupo = "Salada";

        loginFlows.efetuarLogin();
        cadastroTipoDePratoFlows.navegaTipoDePrato();
        Assert.assertTrue(cadastroTipoDePratoPage.mensagemEsperada().contains(mensagemMainPage));

         /* Cadastrando tipo de prato */

         cadastroTipoDePratoFlows.cadastraTipoPrato(codigo,nome,nomeReduzido,nmGrupo);
         Assert.assertTrue(cadastroTipoDePratoPage.confirmaCadastro().contains(nome));

        /* Alterando cadastro tipo de prato */
        cadastroTipoDePratoFlows.alteraTipodePrato(novoNome,novoGrupo);

        /* Excluindo Registro */
         cadastroTipoDePratoFlows.excluitTipoDePrato();

    }


}
