package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.GrupoNutrientesFlows;
import com.javaseleniumtemplate.pages.GrupoNutrientesPage;
import org.testng.annotations.Test;

public class GrupoNutrientesTests extends TestBase {

    GrupoNutrientesPage grupoNutrientesPage;
    GrupoNutrientesFlows grupoNutrientesFlows;
    LoginFlows loginFlows;

    //verificar os campo obrigatórios na tela de adicionar grupo
    //tentar adicionar um grupo com algum código já existente
    //adicionar um grupos, editar, e adicionar nutrientes ao mesmo
    //tentar excluir o grupo que possuí nutrientes vinculados ao mesmo
    //excluir os nutrientes vinculados e na sequência excluir o grupo adicionado
    @Test
    public void grupoNutrientes() {
        grupoNutrientesPage = new GrupoNutrientesPage();
        grupoNutrientesFlows = new GrupoNutrientesFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        grupoNutrientesFlows.navegateTelaGrupoNutrientes();
        grupoNutrientesPage.camposObrigatorios();
        grupoNutrientesPage.refresh();
        grupoNutrientesPage.adicionarCodigoExistente();
        grupoNutrientesPage.refresh();
        grupoNutrientesPage.adicionar();
        grupoNutrientesPage.editar();
        grupoNutrientesPage.adicionarNutrientes();
        grupoNutrientesPage.tentaticaExcluirGrupoComRegistrosFilhos();
        grupoNutrientesPage.excluirTodosNutrientes();
        grupoNutrientesPage.refresh();
        grupoNutrientesPage.excluir();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    //gerar relatório selecionando os grupo de forma manual e também com o 'todos' selecionado
    @Test
    public void gerarRelatorio() {
        grupoNutrientesPage = new GrupoNutrientesPage();
        grupoNutrientesFlows = new GrupoNutrientesFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        grupoNutrientesFlows.navegateTelaGrupoNutrientes();
        grupoNutrientesPage.gerarRelatorio();
        grupoNutrientesPage.refresh();
        grupoNutrientesPage.campoObrigatorioRelatorio();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

}
